Subject: Re: bug#46469: 27.1; `isearch-del-char' should move point further back

From: Augusto Stoffel <[email-masked]>
Date: Sun, 14 Feb 2021 08:00:06 +0100

Hi Juri,

On Sat, 13 Feb 2021 at 20:31, Juri Linkov <[email-masked]> wrote:

> Anyway isearch-fallback in your patch does nothing.  Maybe you intended
> to use isearch-pop-state, but this what isearch-delete-char already does.

Please rest assured that the patch works, or at least works in all test
cases I could come up with.  It implements the behavior I described in
detail in my third message in this thread.

Put in another way, the patch makes ‘C-s y DEL x’ pretty much equivalent
to ‘C-s y☺\|x’, where DEL stands for `isearch-del-char' and ☺ stands for
an unmatchable regexp.